安全公告/【CVE-2022-38349】

基本信息

漏洞名称:
系统版本:Asianux
危险等级:中危
影响源码包:poppler
CVSS_v3评分:6.5
修复版本:poppler-0.90.0-4

漏洞描述

An issue was discovered in Poppler 22.08.0. There is a reachable assertion in Object.h, will lead to denial of service because PDFDoc::replacePageDict in PDFDoc.cc lacks a stream check before saving an embedded file.

修复方式

yum update PackageName

漏洞判定

执行命令yum info PackageName获取软件包版本号,版本小于修复版本,则受此漏洞影响,版本大于等于修复版本,则此漏洞已修复

补丁

参考

https://gitee.com/src-openeuler/poppler/issues/I7V72V
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-38349
https://nvd.nist.gov/vuln/detail/CVE-2022-38349